Package org.gradle.language.base

# Interface LanguageSourceSet

All Superinterfaces:
  `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`

All Known Subinterfaces:
  `AssemblerSourceSet`, `CoffeeScriptSourceSet`, `CppSourceSet`, `CSourceSet`, `DependentSourceSet`, `DependentSourceSet`, `HeaderExportingSourceSet`, `JavaScriptSourceSet`, `JavaSourceSet`, `JvmResourceSet`, `NativeResourceSet`, `ObjectiveCppSourceSet`, `ObjectiveCSourceSet`, `RoutesSourceSet`, `ScalaLanguageSourceSet`, `TwirlSourceSet`, `WindowsResourceSet`

All Known Implementing Classes:
  `org.gradle.language.base.internal.AbstractLanguageSourceSet`, `BaseLanguageSourceSet`

@Incubating public interface LanguageSourceSet extends BuildableComponentSpec
A set of sources for a programming language.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`generatedBy(Task generatorTask)`
`String`
`getParentName()`
`SourceDirectorySet`
`getSource()`
The source files.

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`

## Method Details

### getSource

SourceDirectorySet getSource()
The source files.

### generatedBy

void generatedBy(Task generatorTask)

### getParentName

@Nullable String getParentName()